<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">

<hibernate-mapping>
  <class catalog="bdtareas" name="modelo.Empleado" optimistic-lock="version" table="empleado">
    <id name="id" type="java.lang.Long">
      <column name="id"/>
      <generator class="identity"/>
    </id> 
    <property name="nombre" type="string">
      <column length="30" name="nombre"/>
    </property>
    <property name="passwd" type="string">
      <column length="50" name="passwd"/>
    </property>
    <property name="email" type="string">
      <column length="50" name="correo"/>
    </property>    
    <set fetch="select" inverse="true" lazy="true" name="tareas" table="tarea">
      <key>
        <column name="empleado" not-null="true"/>
      </key>
      <one-to-many class="modelo.Tarea"/>
    </set>
  </class>
</hibernate-mapping>
